#!/bin/csh

set PWD       = `pwd`
set EXE       = ./comp_ace_xs.exe
set ACE_DIR_F = ../frendy/ace
set ACE_DIR_N = ../njoy/ace
set OUT_DIR   = ./out

cd src
./run.sh
cd ${PWD}

mkdir -p ${OUT_DIR}

foreach ACE_F( `ls ${ACE_DIR_F}/*.ace` )
  set NUCL_NAME = `basename ${ACE_F} .ace`

  if( ${NUCL_NAME} == "HinH2O" ) then
    continue
  endif

  echo ${NUCL_NAME}
  set ACE_N    = ${ACE_DIR_N}/${NUCL_NAME}.ace
  set OUT_FILE = ${OUT_DIR}/comp_result_${NUCL_NAME}.dat

  ${EXE}  ${ACE_N}  ${ACE_F}  ${OUT_FILE}
end

