#!/bin/csh

set PWD = `pwd`
set EXE = ${PWD}/frendy.exe

set INP_DIR = ${PWD}/../input
set ACE_DIR = ${PWD}/ace

############################## Remove all data ##############################

rm -rf ${ACE_DIR}  process_result_from_endf.log  process_result_from_ace.log
rm -rf H001_from_endf  H001_from_ace  HinH2O_from_endf  HinH2O_from_ace
rm -rf U235_from_endf  U235_from_ace  UO2_from_endf     UO2_from_ace

#############################################################################


mkdir -p ${ACE_DIR}

foreach MODE( endf  ace )
  set LOG = ${PWD}/process_result_from_${MODE}.log
  rm -rf ${LOG}

  foreach CASE( H001  HinH2O  U235  UO2 )
    set CASE_NAME = ${CASE}_from_${MODE}
    echo ${CASE_NAME}

    mkdir -p ${PWD}/${CASE_NAME}
    cd ${PWD}/${CASE_NAME}

    echo ${CASE_NAME} >> ${LOG}
    echo "" >> ${LOG}
    ${EXE}  ${INP_DIR}/${CASE_NAME}.inp  >> ${LOG}
    echo "" >> ${LOG}
    echo "======================================================================" >> ${LOG}
    echo "" >> ${LOG}

    if( ${MODE} == "endf" ) then
      if( ${CASE} == "UO2") then
        foreach NUCL( O016  U235  U238 )
          mv ${NUCL}.dat.ace  ${ACE_DIR}/${NUCL}.ace
        end
      else
        mv ${CASE}.dat.ace  ${ACE_DIR}/${CASE}.ace
      endif
    endif

    cd ${PWD}
  end
end

