#!/bin/csh

set EXE = ./njoy
set INP_DIR = ../frendy/inp_njoy
set LIB_DIR = ../frendy/lib
set PEN_DIR = ./pendf
set ACE_DIR = ./ace
set OUT_DIR = ./out

mkdir -p ${PEN_DIR}
mkdir -p ${ACE_DIR}
mkdir -p ${OUT_DIR}

foreach CASE( N014  O016  U235  U238  HinH2O )
  echo ${CASE}

  set INP = ${INP_DIR}/inp_JENDL-4_${CASE}.njoy
  set LIB = ${LIB_DIR}/${CASE}.dat
  
  cp -p ${LIB} ./tape20
  if( ${CASE} == "HinH2O" ) then
    cp -p ${LIB_DIR}/H001.dat  ./tape20
    cp -p ${LIB}               ./tape26
  endif

  ${EXE} <  ${INP}
 
  if( ${CASE} == "HinH2O" ) then
    mv ./tape27 ${PEN_DIR}/${CASE}.pendf
  else
    mv ./tape24 ${PEN_DIR}/${CASE}.pendf
  endif
  mv ./tape30 ${ACE_DIR}/${CASE}.ace
  mv ./tape31 ${ACE_DIR}/${CASE}.xsdir
  mv ./output ${OUT_DIR}/output_${CASE}.dat
end

rm -rf ./tape*

