#!/bin/csh

set PWD = `pwd`

set REMOVE_FLG   = "ON"
set NJOY_FLG     = "ON"
set COMP_XS_FLG  = "ON"
set WRITE_XS_FLG = "ON"
set MCNP_FLG     = "ON"
set PERTURB_FLG  = "ON"
set MG_FLG       = "ON"

#set REMOVE_FLG   = "OFF"
#set NJOY_FLG     = "OFF"
#set COMP_XS_FLG  = "OFF"
#set WRITE_XS_FLG = "OFF"
#set MCNP_FLG     = "OFF"
#set PERTURB_FLG  = "OFF"
#set MG_FLG       = "OFF"

if( ${REMOVE_FLG} == "ON" ) then
  echo "### Removing old calculation results : `date` ###"
  ./remove_all.csh
endif


echo "### Generation of ACE file using FRENDY : `date` ###"
cd ${PWD}/frendy
./run_frendy.csh > ./result_frendy.dat


echo "### Generation of input file for NJOY : `date` ###"
cd ${PWD}/frendy
./make_njoy_input.csh > ./result_make_njoy_input.dat


if( ${NJOY_FLG} == "ON" ) then
  echo "### Generation of ACE file using NJOY : `date` ###"
  cd ${PWD}/njoy
  ./run_njoy.csh > ./result_njoy.dat
endif


if( ${COMP_XS_FLG} == "ON" ) then
  echo "### Comparison of XS data between FRENDY and NJOY (ACE file) : `date` ###"
  cd ${PWD}/comp_ace_xs
  ./run_comp_ace.csh > ./result_comp_ace.dat

  cd ${PWD}/comp_ace_xs/gnuplot
  ./gnuplot.csh  > ./result_gnuplot.dat


  echo "### Comparison of XS data between FRENDY and NJOY (PENDF file) : `date` ###"
  cd ${PWD}/comp_pendf_xs
  ./run_comp_pendf.csh > ./result_comp_pendf.dat

  cd ${PWD}/comp_pendf_xs/gnuplot
  ./gnuplot.csh  > ./result_gnuplot.dat
endif


if( ${WRITE_XS_FLG} == "ON" ) then
  echo "### Output XS data of FRENDY (ACE file) : `date` ###"
  cd ${PWD}/write_ace_xs
  ./run_write_ace_xs.csh > ./result_write_ace_xs.dat

  cd ${PWD}/write_ace_xs/gnuplot
  ./gnuplot.csh  > ./result_gnuplot.dat


  echo "### Output XS data of FRENDY (PENDF file) : `date` ###"
  cd ${PWD}/write_pendf_xs
  ./run_write_pendf_xs.csh > ./result_write_pendf_xs.dat

  cd ${PWD}/write_pendf_xs/gnuplot
  ./gnuplot.csh  > ./result_gnuplot.dat
endif


if( ${MCNP_FLG} == "ON" ) then
  echo "### Generation of XSDIR and collected ACE file for MCNP : `date` ###"
  cd ${PWD}/mcnp_data
  ./run_ace_data_collector.csh > ./result_ace_data_collector.dat

  echo "### Running MCNP (HMF001 : GODIVA) : `date` ###"
  cd ${PWD}/mcnp
  ./run_all.csh  > ./result_mcnp.dat
endif


if( ${PERTURB_FLG} == "ON" ) then
  echo "### Demonstration of ACE file perturbation : `date` ###"
  cd ${PWD}/random_sampling/make_perturbation_factor
  ./run_make_perturbation_factor.csh

  cd ${PWD}/random_sampling/perturbation_ace_file
  ./run_perturbation_ace_file.csh

  cd ${PWD}/random_sampling/comp_ace_xs
  ./run_comp_ace.csh > ./result_comp_ace.dat

  cd ${PWD}/random_sampling/comp_ace_xs/gnuplot
  ./gnuplot.csh      > ./result_gnuplot.dat
  ./gnuplot_zoom.csh > ./result_gnuplot_zoom.dat
endif


if( ${MG_FLG} == "ON" ) then
  echo "### Demonstration of Multi-group XS generation : `date` ###"
  cd ${PWD}/mg_generation/frendy
  ./run_frendy.csh
endif


echo "### Finish all calculation : `date` ###"

